OpenGL-2.13.1.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne, Lars Corbijn 2011-2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.GL.FramebufferObjects.RenderbufferObjects

Description

# Documentation

data RenderbufferObject

Instances

Eq RenderbufferObject |
Ord RenderbufferObject |
Show RenderbufferObject |
ObjectName RenderbufferObject |
GeneratableObjectName RenderbufferObject |
CanBeLabeled RenderbufferObject |

noRenderbufferObject :: RenderbufferObject

data RenderbufferTarget

Constructors

Renderbuffer |

Instances

Eq RenderbufferTarget |
Ord RenderbufferTarget |
Show RenderbufferTarget |
PixellikeObjectTarget RenderbufferTarget |

data RenderbufferSize

Constructors

RenderbufferSize !GLsizei !GLsizei |

Instances

Eq RenderbufferSize |
Ord RenderbufferSize |
Show RenderbufferSize |

newtype Samples

Constructors

Samples GLsizei |

Instances

Eq Samples |
Ord Samples |
Show Samples |

bindRenderbuffer :: RenderbufferTarget -> StateVar RenderbufferObject

renderbufferStorage :: RenderbufferTarget -> PixelInternalFormat -> RenderbufferSize -> IO ()

renderbufferStorageMultiSample :: RenderbufferTarget -> Samples -> PixelInternalFormat -> RenderbufferSize -> IO ()